package com.lightinit.hsdatashow.model.admin;

import java.math.BigDecimal;
import java.util.List;

public class ConsumeListModel<T> {
    private List<BigDecimal> energyValue ;//能耗
    private List<BigDecimal> waterValue ;//水耗
    private List<BigDecimal> constructValue;//建设用地
    private List<BigDecimal> co2Value;//co2消耗
    private List<String> energyName;//产值
    private List<String> waterNmae;//产值
    private List<String> constructName;//产值
    private List<String> co2Name;//产值
    private BigDecimal growth;
    private List<Integer> dataYear ;

    public BigDecimal getGrowth() {
        return growth;
    }

    public void setGrowth(BigDecimal growth) {
        this.growth = growth;
    }

    public List<BigDecimal> getEnergyValue() {
        return energyValue;
    }

    public void setEnergyValue(List<BigDecimal> energyValue) {
        this.energyValue = energyValue;
    }

    public List<BigDecimal> getWaterValue() {
        return waterValue;
    }

    public void setWaterValue(List<BigDecimal> waterValue) {
        this.waterValue = waterValue;
    }

    public List<BigDecimal> getConstructValue() {
        return constructValue;
    }

    public void setConstructValue(List<BigDecimal> constructValue) {
        this.constructValue = constructValue;
    }

    public List<BigDecimal> getCo2Value() {
        return co2Value;
    }

    public void setCo2Value(List<BigDecimal> co2Value) {
        this.co2Value = co2Value;
    }

    public List<String> getEnergyName() {
        return energyName;
    }

    public void setEnergyName(List<String> energyName) {
        this.energyName = energyName;
    }

    public List<String> getWaterNmae() {
        return waterNmae;
    }

    public void setWaterNmae(List<String> waterNmae) {
        this.waterNmae = waterNmae;
    }

    public List<String> getConstructName() {
        return constructName;
    }

    public void setConstructName(List<String> constructName) {
        this.constructName = constructName;
    }

    public List<String> getCo2Name() {
        return co2Name;
    }

    public void setCo2Name(List<String> co2Name) {
        this.co2Name = co2Name;
    }

    public List<Integer> getDataYear() {
        return dataYear;
    }

    public void setDataYear(List<Integer> dataYear) {
        this.dataYear = dataYear;
    }
}
